/****************************************************************************
**
** Copyright (C) 1992-2009 Nokia. All rights reserved.
**
** This file is part of Qt Jambi.
**
** ** No Commercial Usage
** This file contains pre-release code and may not be distributed.
** You may use this file in accordance with the terms and conditions
** contained in the either Technology Preview License Agreement or the
** Beta Release License Agreement.
**
** If you are unsure which license is appropriate for your use, please
** contact the sales department at qt-sales@nokia.com.


**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

package com.trolltech.demos;

import com.trolltech.demos.imageviewer.*;
import com.trolltech.examples.QtJambiExample;
import com.trolltech.qt.gui.*;

@QtJambiExample(name = "Image Viewer")
public class ImageViewer extends MainWindow {

    public ImageViewer() {
        setWindowIcon(new QIcon("classpath:com/trolltech/images/qt-logo.png"));
    }

    public static void main(String[] args) {
        QApplication.initialize(args);
        ImageViewer viewer = new ImageViewer();
        viewer.show();
        QApplication.exec();
    }
}
